import request from '@/services/http.request.js'

/* 获取商品楼层数据 */
export function fetchProductFloorList(params) {
    return request({
        url: '/product/floor',
        method: 'GET',
        params
    })
}

/* 获取商品楼层详情 */
export function fetchProductFloorDetail(params) {
    return request({
        url: '/product/floor/detail',
        method: 'GET',
        params
    })
}

/* 获取商品列表 */
export function fetchProductList(params) {
    return request({
        url: '/product/list',
        method: 'GET',
        params
    })
}

/* 查询商品详情 */
export function fetchProductDetail(params) {
    return request({
        url: '/product/details',
        method: 'GET',
        params
    })
}

/* 获取商品搜索记录 */
export function fetchProductSearchHistory(params) {
    return request({
        url: '/product/search/history',
        method: 'GET',
        params
    })
}

/* 清除商品搜索记录 */
export function clearProductSearchHistory(params) {
    return request({
        url: '/product/delete/history',
        method: 'GET',
        params
    })
}

/* 搜索商品列表 */
export function searchProductList(params) {
    return request({
        url: '/search/query/product',
        method: 'GET',
        params
    })
}

/* 活动专区(分销者) */
export function fetchProductActivityAreaList(params) {
    return request({
        url: '/product/activityArea',
        method: 'GET',
        params
    })
}

/* 活动商品列表(分销者) */
export function fetchProductActivityDetail(params) {
    return request({
        url: '/product/activity/details',
        method: 'GET',
        params
    })
}
